## serp 0.1.8

=== DESCRIPTION ===
Type: Package
Package: serp
Title: Smooth Effects on Response Penalty for 'CLM'
Version: 0.1.8
Author: Ejike R. Ugba [aut, cre, cph]
Maintainer: Ejike R. Ugba <ejike.ugba@outlook.com>
Description: A regularization method for the cumulative link
    models.  The 'smooth-effect-on-response penalty' ('SERP') provides
    flexible modelling of the ordinal model by enabling the smooth
    transition from the general cumulative link model to a coarser form of
    the same model. In other words, as the tuning parameter goes from zero
    to infinity, the subject-specific effects associated with each
    variable in the model tend to a unique global effect. The parameter
    estimates of the general cumulative model are mostly unidentifiable or
    at least only identifiable within a range of the entire parameter
    space. Thus, by maximizing a penalized rather than the usual
    non-penalized log-likelihood, this and other numerical problems common
    with the general model are to a large extent eliminated. Fitting is
    via a modified Newton's method. Several standard model performance and
    descriptive methods are also available. An outline of the penalty 
    implemented here is found in Tutz, G and Gertheiss, J (2016) 
    <doi:10.1177/1471082X16642560>.
License: GPL-2
URL: https://github.com/ejikeugba/serp
BugReports: https://github.com/ejikeugba/serp/issues
Depends: R (>= 3.2.0)
Imports: ordinal (>= 2016-12-12), stats
Suggests: covr, testthat, VGAM (>= 1.1-4)
Encoding: UTF-8
LazyData: True
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-01-27 02:19:15 UTC; EJIKE
Repository: CRAN
Date/Publication: 2021-01-29 08:50:02 UTC

## serp 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: serp
 Title: Smooth Effects on Response Penalty for 'CLM'
-Version: 0.1.8
+Version: 0.2.0
 Author: Ejike R. Ugba [aut, cre, cph]
 Maintainer: Ejike R. Ugba <ejike.ugba@outlook.com>
 Description: A regularization method for the cumulative link
@@ -17,10 +17,10 @@
     non-penalized log-likelihood, this and other numerical problems common
     with the general model are to a large extent eliminated. Fitting is
     via a modified Newton's method. Several standard model performance and
-    descriptive methods are also available. An outline of the penalty 
-    implemented here is found in Tutz, G and Gertheiss, J (2016) 
-    <doi:10.1177/1471082X16642560>.
-License: GPL-2
+    descriptive methods are also available. For more details on the penalty
+    implemented here, see, 'Ugba et al. (2021)' <doi:10.3390/stats4030037> and 
+    Tutz and Gertheiss (2016) <doi:10.1177/1471082X16642560>.
+License: GPL-2 | file LICENSE
 URL: https://github.com/ejikeugba/serp
 BugReports: https://github.com/ejikeugba/serp/issues
 Depends: R (>= 3.2.0)
@@ -30,6 +30,6 @@
 LazyData: True
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2021-01-27 02:19:15 UTC; EJIKE
+Packaged: 2021-07-24 00:10:05 UTC; EJIKE
 Repository: CRAN
-Date/Publication: 2021-01-29 08:50:02 UTC
+Date/Publication: 2021-07-25 13:40:02 UTC

## serp 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Type: Package
 Package: serp
 Title: Smooth Effects on Response Penalty for 'CLM'
-Version: 0.2.0
-Author: Ejike R. Ugba [aut, cre, cph]
-Maintainer: Ejike R. Ugba <ejike.ugba@outlook.com>
+Version: 0.2.1
+Authors@R: 
+    person(given = "Ejike R.",
+           family = "Ugba",
+           role = c("aut", "cre", "cph"),
+           email = "ejike.ugba@outlook.com",
+           comment = c(ORCID = "0000-0003-2572-0023"))
 Description: A regularization method for the cumulative link
     models.  The 'smooth-effect-on-response penalty' ('SERP') provides
     flexible modelling of the ordinal model by enabling the smooth
@@ -30,6 +34,8 @@
 LazyData: True
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2021-07-24 00:10:05 UTC; EJIKE
+Packaged: 2021-09-01 09:05:28 UTC; EJIKE
+Author: Ejike R. Ugba [aut, cre, cph] (<https://orcid.org/0000-0003-2572-0023>)
+Maintainer: Ejike R. Ugba <ejike.ugba@outlook.com>
 Repository: CRAN
-Date/Publication: 2021-07-25 13:40:02 UTC
+Date/Publication: 2021-09-01 22:10:02 UTC

## serp 0.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: serp
 Title: Smooth Effects on Response Penalty for 'CLM'
-Version: 0.2.1
+Version: 0.2.3
 Authors@R: 
     person(given = "Ejike R.",
            family = "Ugba",
@@ -22,20 +22,21 @@
     with the general model are to a large extent eliminated. Fitting is
     via a modified Newton's method. Several standard model performance and
     descriptive methods are also available. For more details on the penalty
-    implemented here, see, 'Ugba et al. (2021)' <doi:10.3390/stats4030037> and 
-    Tutz and Gertheiss (2016) <doi:10.1177/1471082X16642560>.
+    implemented here, see, 'Ugba (2021)' <doi:10.21105/joss.03705>, 
+    'Ugba et al. (2021)' <doi:10.3390/stats4030037> and 
+    'Tutz and Gertheiss (2016)' <doi:10.1177/1471082X16642560>.
 License: GPL-2 | file LICENSE
 URL: https://github.com/ejikeugba/serp
 BugReports: https://github.com/ejikeugba/serp/issues
 Depends: R (>= 3.2.0)
-Imports: ordinal (>= 2016-12-12), stats
+Imports: ordinal (>= 2016-12-12), crayon, stats
 Suggests: covr, testthat, VGAM (>= 1.1-4)
 Encoding: UTF-8
 LazyData: True
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2021-09-01 09:05:28 UTC; EJIKE
+Packaged: 2021-11-07 20:08:24 UTC; EJIKE
 Author: Ejike R. Ugba [aut, cre, cph] (<https://orcid.org/0000-0003-2572-0023>)
 Maintainer: Ejike R. Ugba <ejike.ugba@outlook.com>
 Repository: CRAN
-Date/Publication: 2021-09-01 22:10:02 UTC
+Date/Publication: 2021-11-07 20:40:02 UTC

## serp 0.2.4

=== DESCRIPTION ===
Type: Package
Package: serp
Title: Smooth Effects on Response Penalty for CLM
Version: 0.2.4
Authors@R: 
    person(given = "Ejike R.",
           family = "Ugba",
           role = c("aut", "cre", "cph"),
           email = "ejike.ugba@outlook.com",
           comment = c(ORCID = "0000-0003-2572-0023"))
Description: A regularization method for the cumulative link
    models.  The smooth-effect-on-response penalty (SERP) provides
    flexible modelling of the ordinal model by enabling the smooth
    transition from the general cumulative link model to a coarser form of
    the same model. In other words, as the tuning parameter goes from zero
    to infinity, the subject-specific effects associated with each
    variable in the model tend to a unique global effect. The parameter
    estimates of the general cumulative model are mostly unidentifiable or
    at least only identifiable within a range of the entire parameter
    space. Thus, by maximizing a penalized rather than the usual
    non-penalized log-likelihood, this and other numerical problems common
    with the general model are to a large extent eliminated. Fitting is
    via a modified Newton's method. Several standard model performance and
    descriptive methods are also available. For more details on the penalty
    implemented here, see, Ugba (2021) <doi:10.21105/joss.03705> and 
    Ugba et al. (2021) <doi:10.3390/stats4030037>.
License: GPL-2
URL: https://github.com/ejikeugba/serp
BugReports: https://github.com/ejikeugba/serp/issues
Depends: R (>= 3.2.0)
Imports: ordinal (>= 2016-12-12), crayon, stats
Suggests: covr, testthat, VGAM (>= 1.1-4)
Encoding: UTF-8
LazyData: True
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2022-02-15 22:07:56 UTC; EJIKE
Author: Ejike R. Ugba [aut, cre, cph] (<https://orcid.org/0000-0003-2572-0023>)
Maintainer: Ejike R. Ugba <ejike.ugba@outlook.com>
Repository: CRAN
Date/Publication: 2022-02-16 07:50:09 UTC

## serp 0.2.5

=== DESCRIPTION ===
Type: Package
Package: serp
Title: Smooth Effects on Response Penalty for CLM
Version: 0.2.5
Authors@R: 
    person(given = "Ejike R.",
           family = "Ugba",
           role = c("aut", "cre", "cph"),
           email = "ejike.ugba@outlook.com",
           comment = c(ORCID = "0000-0003-2572-0023"))
Description: Implements a regularization method for cumulative link models using the 
    Smooth-Effect-on-Response Penalty (SERP). This method allows flexible 
    modeling of ordinal data by enabling a smooth transition from a general 
    cumulative link model to a simplified version of the same model. As the 
    tuning parameter increases from zero to infinity, the subject-specific 
    effects for each variable converge to a single global effect. 
    The approach addresses common issues in cumulative link models, such as 
    parameter unidentifiability and numerical instability, by maximizing a 
    penalized log-likelihood instead of the standard non-penalized version. 
    Fitting is performed using a modified Newton's method. Additionally, the 
    package includes various model performance metrics and descriptive tools.
    For details on the implemented penalty method, see 
    Ugba (2021) <doi:10.21105/joss.03705> and 
    Ugba et al. (2021) <doi:10.3390/stats4030037>.
License: GPL-2
URL: https://github.com/ejikeugba/serp
BugReports: https://github.com/ejikeugba/serp/issues
Depends: R (>= 4.1.0)
Imports: ordinal (>= 2016-12-12), crayon, stats
Suggests: covr, testthat, tibble, vctrs, pkgdown, VGAM (>= 1.1-10)
Encoding: UTF-8
LazyData: True
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-11-25 15:41:39 UTC; Ejike
Author: Ejike R. Ugba [aut, cre, cph] (<https://orcid.org/0000-0003-2572-0023>)
Maintainer: Ejike R. Ugba <ejike.ugba@outlook.com>
Repository: CRAN
Date/Publication: 2024-11-25 17:40:02 UTC

## serp 1.14.1

=== debian/changelog ===
serp (1.14.1-1) unstable; urgency=low

  * Initial release. (Closes: #582782).

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 23 May 2010 12:47:32 -0430

=== debian/control ===
Source: serp
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>
Section: java
Priority: optional
Build-Depends: debhelper (>= 7.0.50), default-jdk, javahelper
Standards-Version: 3.8.4
Homepage: http://serp.sourceforge.net/
Vcs-Git: git://git.debian.org/git/pkg-java/serp.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/serp.git

Package: libserp-java
Architecture: all
Depends: ${misc:Depends}
Suggests: libserp-java-doc (= ${binary:Version})
Description: Java Virtual Machine bytecode manipulation framework
 The goal of the serp bytecode framework is to tap the full power of bytecode
 modification while lowering its associated costs.
 .
 The framework provides a set of high-level APIs for manipulating all aspects
 of bytecode, from large-scale structures like class member fields to the
 individual instructions that comprise the code of methods.
 .
 While in order to perform any advanced manipulation, some understanding of the
 class file format and especially of the JVM instruction set is necessary, the
 framework makes it as easy as possible to enter the world of bytecode
 development.

Package: libserp-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libserp-java (= ${binary:Version})
Description: Documentation for libserp-java
 Documentation of the serp bytecode framework that has as goal to tap the full
 power of bytecode modification while lowering its associated costs.
 .
 The framework provides a set of high-level APIs for manipulating all aspects
 of bytecode, from large-scale structures like class member fields to the
 individual instructions that comprise the code of methods.
 .
 While in order to perform any advanced manipulation, some understanding of the
 class file format and especially of the JVM instruction set is necessary, the
 framework makes it as easy as possible to enter the world of bytecode
 development.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh --with javahelper $@

override_jh_build:
	jh_build serp.jar src/main

override_dh_auto_test:
	echo TODO

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan \
		--verbose \
		--no-symlink \
		--destdir $(CURDIR)      \
		--watchfile debian/watch \
		--force-download

## serp 1.15.1

=== debian/changelog ===
serp (1.15.1-2) unstable; urgency=medium

  * Team upload.
  * Drop dependency on cdbs.
  * Remove myself from uploaders. (Closes: #871885)
  * Bump DH compat level to 13.
  * Update Vcs-* fields.
  * Bump Standards-Version to 4.6.2. No changes were required.
  * Wrap and sort dependencies lists.
  * Update copyright info.
  * Apply Multi-Arch hints.
  * Bump watch file to version 4 and update upstream URL to track.
  * Drop obsolete get-orig-source target in d/rules.
  * Add field Rules-Requires-Root with 'no' as value.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 02 Dec 2023 13:11:28 +0000

serp (1.15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Removed compile-java-1.6.diff (applied upstream)
  * Standards-Version updated to 3.9.6 (no changes)
  * Use XZ compression for the upstream tarball
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 29 May 2015 17:26:27 +0200

serp (1.14.1-2) unstable; urgency=low

  * Switched from Ant to Maven build to publish pom.
  * Updated Standards-Version to 3.9.4.
  * Use canonical form of Vcs-* fields.
  * Added Stephen Nelson to list of uploaders.
  * Updated copyright to 1.0 format.
  * Updated copyright license to BSD-3-clause from BSD.
  * Added patch to generate Java 6 compatible bytecode.

 -- Stephen Nelson <stephen@eccostudio.com>  Tue, 27 Aug 2013 22:35:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,23 @@
 Source: serp
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Miguel Landaeta <miguel@miguel.cc>
+Uploaders: Stephen Nelson <stephen@eccostudio.com>
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50), default-jdk, javahelper
-Standards-Version: 3.8.4
-Homepage: http://serp.sourceforge.net/
-Vcs-Git: git://git.debian.org/git/pkg-java/serp.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/serp.git
+Build-Depends: debhelper-compat (= 13),
+               default-jdk,
+               javahelper,
+               maven-debian-helper (>= 1.5)
+Build-Depends-Indep: junit (>= 3.8.1),
+                     libmaven-javadoc-plugin-java
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/java-team/serp.git
+Vcs-Browser: https://salsa.debian.org/java-team/serp
+Homepage: http://serp.sourceforge.net
+Rules-Requires-Root: no
 
 Package: libserp-java
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: libserp-java-doc (= ${binary:Version})
 Description: Java Virtual Machine bytecode manipulation framework
@@ -28,6 +35,7 @@
 
 Package: libserp-java-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Suggests: libserp-java (= ${binary:Version})

=== debian/rules ===
#!/usr/bin/make -f
export JAVA_HOME=/usr/lib/jvm/default-java
%:
	dh $@ --with javahelper

=== debian/watch ===
version=4
https://repo1.maven.org/maven2/net/sourceforge/serp/serp/ \
@ANY_VERSION@\/
